## liteide-38.0.tar.gz

=== liteidex/src/3rdparty/libvterm/Makefile ===
ifeq ($(shell uname),Darwin)
  LIBTOOL ?= glibtool
else
  LIBTOOL ?= libtool
endif

ifneq ($(VERBOSE),1)
  LIBTOOL +=--quiet
endif

override CFLAGS +=-Wall -Iinclude -std=c99 -Wpedantic

ifeq ($(shell uname),SunOS)
  override CFLAGS +=-D__EXTENSIONS__ -D_XPG6 -D__XOPEN_OR_POSIX
endif

ifeq ($(DEBUG),1)
  override CFLAGS +=-ggdb -DDEBUG
endif

ifeq ($(PROFILE),1)
  override CFLAGS +=-pg
  override LDFLAGS+=-pg
endif

CFILES=$(sort $(wildcard src/*.c))
HFILES=$(sort $(wildcard include/*.h))
OBJECTS=$(CFILES:.c=.lo)
LIBRARY=libvterm.la

BINFILES_SRC=$(sort $(wildcard bin/*.c))
BINFILES=$(BINFILES_SRC:.c=)

TBLFILES=$(sort $(wildcard src/encoding/*.tbl))
INCFILES=$(TBLFILES:.tbl=.inc)

HFILES_INT=$(sort $(wildcard src/*.h)) $(HFILES)

VERSION_CURRENT=0
VERSION_REVISION=3
VERSION_AGE=0

VERSION=0.1.3

PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
LIBDIR=$(PREFIX)/lib
INCDIR=$(PREFIX)/include
MANDIR=$(PREFIX)/share/man
MAN3DIR=$(MANDIR)/man3

all: $(LIBRARY) $(BINFILES)

$(LIBRARY): $(OBJECTS)
	@echo LINK $@
	@$(LIBTOOL) --mode=link --tag=CC $(CC) -rpath $(LIBDIR) -version-info $(VERSION_CURRENT):$(VERSION_REVISION):$(VERSION_AGE) -o $@ $^ $(LDFLAGS)

src/%.lo: src/%.c $(HFILES_INT)
	@echo CC $<
	@$(LIBTOOL) --mode=compile --tag=CC $(CC) $(CFLAGS) -o $@ -c $<

src/encoding/%.inc: src/encoding/%.tbl
	@echo TBL $<
	@perl -CSD tbl2inc_c.pl $< >$@

src/fullwidth.inc:
	@perl find-wide-chars.pl >$@

src/encoding.lo: $(INCFILES)

bin/%: bin/%.c $(LIBRARY)
	@echo CC $<
	@$(LIBTOOL) --mode=link --tag=CC $(CC) $(CFLAGS) -o $@ $< -lvterm $(LDFLAGS)

t/harness.lo: t/harness.c $(HFILES)
	@echo CC $<
	@$(LIBTOOL) --mode=compile --tag=CC $(CC) $(CFLAGS) -o $@ -c $<

t/harness: t/harness.lo $(LIBRARY)
	@echo LINK $@
	@$(LIBTOOL) --mode=link --tag=CC $(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)

.PHONY: test
test: $(LIBRARY) t/harness
	for T in `ls t/[0-9]*.test`; do echo "** $$T **"; perl t/run-test.pl $$T $(if $(VALGRIND),--valgrind) || exit 1; done

.PHONY: clean
clean:
	$(LIBTOOL) --mode=clean rm -f $(OBJECTS) $(INCFILES)
	$(LIBTOOL) --mode=clean rm -f t/harness.lo t/harness
	$(LIBTOOL) --mode=clean rm -f $(LIBRARY) $(BINFILES)

.PHONY: install
install: install-inc install-lib install-bin

install-inc:
	install -d $(DESTDIR)$(INCDIR)
	install -m644 $(HFILES) $(DESTDIR)$(INCDIR)
	install -d $(DESTDIR)$(LIBDIR)/pkgconfig
	sed -e "s,@PREFIX@,$(PREFIX)," -e "s,@LIBDIR@,$(LIBDIR)," -e "s,@VERSION@,$(VERSION)," <vterm.pc.in >$(DESTDIR)$(LIBDIR)/pkgconfig/vterm.pc

install-lib: $(LIBRARY)
	install -d $(DESTDIR)$(LIBDIR)
	$(LIBTOOL) --mode=install install $(LIBRARY) $(DESTDIR)$(LIBDIR)/$(LIBRARY)
	$(LIBTOOL) --mode=finish $(DESTDIR)$(LIBDIR)

install-bin: $(BINFILES)
	install -d $(DESTDIR)$(BINDIR)
	$(LIBTOOL) --mode=install install $(BINFILES) $(DESTDIR)$(BINDIR)/

# DIST CUT

DISTDIR=libvterm-$(VERSION)

distdir: $(INCFILES)
	mkdir __distdir
	cp LICENSE CONTRIBUTING __distdir
	mkdir __distdir/src
	cp src/*.c src/*.h src/*.inc __distdir/src
	mkdir __distdir/src/encoding
	cp src/encoding/*.inc __distdir/src/encoding
	mkdir __distdir/include
	cp include/*.h __distdir/include
	mkdir __distdir/bin
	cp bin/*.c __distdir/bin
	mkdir __distdir/t
	cp t/*.test t/harness.c t/run-test.pl __distdir/t
	sed "s,@VERSION@,$(VERSION)," <vterm.pc.in >__distdir/vterm.pc.in
	sed "/^# DIST CUT/Q" <Makefile >__distdir/Makefile
	mv __distdir $(DISTDIR)

TARBALL=$(DISTDIR).tar.gz

dist: distdir
	tar -czf $(TARBALL) $(DISTDIR)
	rm -rf $(DISTDIR)

dist+bzr:
	$(MAKE) dist VERSION=$(VERSION)+bzr`bzr revno`

distdir+bzr:
	$(MAKE) distdir VERSION=$(VERSION)+bzr`bzr revno`

=== liteidex/src/3rdparty/ptyqt/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2.0)

if ($ENV{TRAVIS_BUILD_NUMBER})
    project(ptyqt VERSION 0.0.$ENV{TRAVIS_BUILD_NUMBER} LANGUAGES CXX)
else ($ENV{TRAVIS_BUILD_NUMBER})
    project(ptyqt VERSION 0.0.1 LANGUAGES CXX)
endif ($ENV{TRAVIS_BUILD_NUMBER})

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

#params
#available params:
# - NO_BUILD_TESTS=1
# - NO_BUILD_EXAMPLES=1
# - WINPTY_LIBS=<path/to/winpty.lib> - redefine path to winpty lib for libkage and ignore included find mechanic
# - WINPTY_DBGLIBS=<path/to/debug/winpty.lib> - redefine path to winpty lib for libkage and ignore included find mechanic
IF("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
    set(PTYQT_DEBUG TRUE)
    add_definitions(-DPTYQT_DEBUG)
else()
    set(PTYQT_DEBUG FALSE)
endif()

set(BUILD_TYPE STATIC) #STATIC / SHARED

if (MSVC)
    #message("PRE_TARGET_ARCH ${TARGET_ARCH}")
    #message("VCPKG_TARGET_TRIPLET ${VCPKG_TARGET_TRIPLET}")

    #target arch for find winpty libs
    if ("${TARGET_ARCH}" STREQUAL "x86_amd64")
        set(TARGET_ARCH x64)
    endif()
	if ("${VCPKG_TARGET_TRIPLET}" MATCHES "x86")
        set(TARGET_ARCH x86) #x86 / x64
    endif()
    if ("${TARGET_ARCH}" STREQUAL "")
        set(TARGET_ARCH x64) #x86 / x64
    endif()
    set(WINPTY_ROOT_DIR "") #user can define his own installation of WinPty for prevent auto-downloading dependency

    #message("POST_TARGET_ARCH ${TARGET_ARCH}")

    if("${BUILD_TYPE}" STREQUAL "STATIC")
        set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
        include(CMakeMsvc)
        configure_msvc_runtime ("${VCPKG_TARGET_TRIPLET}")
    endif()

endif()

#dependencies
find_package(Qt5Core REQUIRED)

if (MSVC)
    #for debug build we can redefine winpty libs to debug version
    if (CMAKE_BUILD_TYPE MATCHES "Debug" AND NOT ${WINPTY_DBGLIBS} STREQUAL "")
        set(WINPTY_LIBS ${WINPTY_DBGLIBS})
    endif()

    add_subdirectory(thirdparty)
    find_package(Qt5Network REQUIRED)

    message("WinPty root dir " ${WINPTY_ROOT_DIR})
    message("WinPty libs " ${WINPTY_LIBS})
endif()

#install
#set(CMAKE_INSTALL_PREFIX ${CMAKE_CURRENT_BINARY_DIR})

set(PTYQT_INSTALL_INCLUDE_DIR ${CMAKE_INSTALL_PREFIX}/include)
set(PTYQT_INSTALL_BIN_DIR ${CMAKE_INSTALL_PREFIX}/bin)
set(PTYQT_INSTALL_LIB_DIR ${CMAKE_INSTALL_PREFIX}/lib)

set(PTYQTLIB_HEADERS_DIR ${PROJECT_SOURCE_DIR}/core)

include_directories(${PTYQT_INSTALL_INCLUDE_DIR})
include_directories(${PTYQTLIB_HEADERS_DIR})
if (MSVC)
    include_directories(${WINPTY_ROOT_DIR}/include)
endif()

#sub projects
add_subdirectory(core)

if (NOT "${NO_BUILD_TESTS}" STREQUAL "1")
  enable_testing()
  add_subdirectory(tests)
endif()

if (NOT "${NO_BUILD_EXAMPLES}" STREQUAL "1")
    add_subdirectory(examples)
endif()

=== liteidex/src/3rdparty/ptyqt/core/CMakeLists.txt ===
project(ptyqt-core VERSION 0.1 LANGUAGES CXX)

set(SOURCE_FILES
    ptyqt.h
    ptyqt.cpp
    iptyprocess.h
)

if (MSVC)
    set(SOURCE_FILES
        ${SOURCE_FILES}
        winptyprocess.h
        winptyprocess.cpp
        conptyprocess.h
        conptyprocess.cpp
        )
else()
    set(SOURCE_FILES
        ${SOURCE_FILES}
        unixptyprocess.cpp
        unixptyprocess.h
        )
endif()

if("${BUILD_TYPE}" STREQUAL "STATIC")
    add_library( ptyqt STATIC ${SOURCE_FILES} )
    add_definitions(-DPTYQT_BUILD_STATIC)
else()
    add_library( ptyqt SHARED ${SOURCE_FILES} )
    add_definitions(-DPTYQT_BUILD_DYNAMIC)
endif()

set(ADDITIONAL_LIBS "")

#disable this on Travis?AppVeyor
if (NOT BUILD_SERVER)
    find_library(PCRE2_LIBRARIES NAMES pcre2 pcre2-16)
    find_path(PCRE2_INCLUDE_DIRS pcre2.h)
    if(PCRE2_LIBRARIES AND PCRE2_INCLUDE_DIRS)
      message(STATUS "PCRE2 libs: ${PCRE2_LIBRARIES}")
      message(STATUS "PCRE2 include directory: ${PCRE2_INCLUDE_DIRS}")
      set(PCRE2_FOUND TRUE CACHE BOOL "Found PCRE2 libraries" FORCE)
      #add_custom_target(pcre2)
    else()
      set(PCRE2_FOUND FALSE CACHE BOOL "Found PCRE2 libraries" FORCE)
      message(STATUS "PCRE2 library not found.")
    endif()

    find_package(OpenSSL REQUIRED)
    find_package(BZip2 REQUIRED)
    find_package(ZLIB REQUIRED)
    find_library(DBLCONV_LIBRARIES NAMES pcre2 double-conversion)

    list(APPEND ADDITIONAL_LIBS ${PCRE2_LIBRARIES} OpenSSL::SSL OpenSSL::Crypto ${BZIP2_LIBRARIES} ${ZLIB_LIBRARIES} ${DBLCONV_LIBRARIES})

    if (MSVC)
        list(APPEND ADDITIONAL_LIBS wsock32 ws2_32 crypt32 iphlpapi netapi32 version winmm userenv)
    elseif("${CMAKE_SYSTEM_NAME}" MATCHES "Darwin"
            OR (UNIX AND APPLE)
            OR "${CMAKE_CXX_COMPILER}" MATCHES "/usr/bin/clang"
            )

        set(LIBS_MACOS
            "-framework Security -framework AppKit -framework CoreFoundation -framework IOKit"
            "-framework CoreGraphics -framework CFNetwork -framework CoreText -framework Carbon"
            "-framework CoreServices -framework ApplicationServices -framework SystemConfiguration"
        )

        list(APPEND ADDITIONAL_LIBS ${LIBS_MACOS})

    elseif(UNIX AND NOT APPLE)
        set(LIBS_LINUX 
		    "-lpthread -ldl -static-libstdc++"
		)
		list(APPEND ADDITIONAL_LIBS ${LIBS_LINUX})
    endif()
endif()

target_link_libraries(ptyqt Qt5::Core ${ADDITIONAL_LIBS})

if (MSVC)
    target_link_libraries( ptyqt Qt5::Network ${WINPTY_LIBS})
endif()

install(TARGETS ptyqt DESTINATION ${PTYQT_INSTALL_LIB_DIR})
install(FILES ptyqt.h iptyprocess.h DESTINATION ${PTYQT_INSTALL_INCLUDE_DIR})

=== liteidex/src/3rdparty/ptyqt/examples/CMakeLists.txt ===
add_subdirectory(xtermjs)
#add_subdirectory(vt100terminal)

=== liteidex/src/3rdparty/ptyqt/tests/CMakeLists.txt ===
project(ptyqt-tests)

enable_testing()

find_package(Qt5Test REQUIRED)

add_executable(ptyqt_tests ptyqt_tests.cpp)
add_dependencies(ptyqt_tests ptyqt)
add_test(ptyqt_tests ptyqt_tests)

if (MSVC)
    if ("${PTYQT_DEBUG}")
        set(WINPTY_DEBUG_SERVER_PATH ${WINPTY_ROOT_DIR}/${TARGET_ARCH}/bin/winpty-debugserver.exe)
        add_definitions(-DWINPTY_DEBUG_SRV_PATH="${WINPTY_DEBUG_SERVER_PATH}")
        message("WinPty debug server path " ${WINPTY_DEBUG_SERVER_PATH})
    endif()
endif()

target_link_libraries(ptyqt_tests ptyqt Qt5::Core Qt5::Test)

if (MSVC)
    target_link_libraries(ptyqt_tests Qt5::Network ${WINPTY_LIBS})
endif()

foreach( file_i ${WINPTY_DIST_FILES})
    add_custom_command(
    TARGET ptyqt_tests
    POST_BUILD
    COMMAND ${CMAKE_COMMAND}
    ARGS -E copy ${file_i} ${CMAKE_CURRENT_BINARY_DIR}
)
endforeach( file_i )

#file(COPY ${WINPTY_DIST_FILES} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

=== liteidex/src/3rdparty/ptyqt/examples/vt100terminal/CMakeLists.txt ===
project(ptyqt-vt100terminal)

include_directories(qvterminal/src/)

set(VTLIB_SOURCE_FILES
    qvterminal/src/qvtchar.cpp
    qvterminal/src/qvtchar.h
    qvterminal/src/qvtcharformat.cpp
    qvterminal/src/qvtcharformat.h
    qvterminal/src/qvterminal.cpp
    qvterminal/src/qvterminal.h
    qvterminal/src/qvtlayout.cpp
    qvterminal/src/qvtlayout.h
    qvterminal/src/qvtline.cpp
    qvterminal/src/qvtline.h
)

find_package(Qt5Widgets REQUIRED)
find_package(Qt5Gui REQUIRED)

#add_library( qvterminal STATIC ${VTLIB_SOURCE_FILES} )
#qt5_use_modules(qvterminal Widgets)

add_executable(vt100terminal_sample vt100terminal.cpp ptydevice.h ${VTLIB_SOURCE_FILES})
add_dependencies(vt100terminal_sample ptyqt)
qt5_use_modules(vt100terminal_sample Widgets)

target_link_libraries(vt100terminal_sample ptyqt Qt5::Core)

if (MSVC)
    add_dependencies(vt100terminal_sample winpty)
    target_link_libraries(vt100terminal_sample Qt5::Network ${WINPTY_LIBS})
endif()

foreach( file_i ${WINPTY_DIST_FILES})
    add_custom_command(
    TARGET vt100terminal_sample
    POST_BUILD
    COMMAND ${CMAKE_COMMAND}
    ARGS -E copy ${file_i} ${CMAKE_CURRENT_BINARY_DIR}
)
endforeach( file_i )

=== liteidex/src/3rdparty/ptyqt/examples/xtermjs/CMakeLists.txt ===
project(ptyqt-xtermjs)

find_package(Qt5WebSockets CONFIG REQUIRED)

add_executable(xtermjs_sample xtermjs.cpp)
add_dependencies(xtermjs_sample ptyqt)

target_link_libraries(xtermjs_sample ptyqt Qt5::Core ${Qt5WebSockets_LIBRARIES})

if (MSVC)
    target_link_libraries(xtermjs_sample Qt5::Network ${WINPTY_LIBS})
endif()

foreach( file_i ${WINPTY_DIST_FILES})
    add_custom_command(
    TARGET xtermjs_sample
    POST_BUILD
    COMMAND ${CMAKE_COMMAND}
    ARGS -E copy ${file_i} ${CMAKE_CURRENT_BINARY_DIR}
)
endforeach( file_i )

=== liteidex/src/3rdparty/qjsonrpc/debian/changelog ===
qjsonrpc (1.0) precise; urgency=low

  * initial packaging of qjsonrpc

 -- Devon IT Support <support@devonit.com>  Thu, 17 Jan 2013 15:49:50 -0500

=== build/liteide_archlinux/PKGBUILD ===
# $Id$
# Maintainer: Alexander F Rødseth <xyproto@archlinux.org>
# Contributor: spambanane <happy.house@gmx.de>
# Contributor: Matteo <matteo.dek@gmail.com>
# Contributor: Matthew Zimmerman <mzimmerman@gmail.com>

pkgname=liteide
pkgver=38.0
pkgrel=1
pkgdesc='IDE for editing and building projects written in the Go programming language'
license=('LGPL')
arch=('x86_64')
url='https://github.com/visualfc/liteide'
makedepends=('go' 'gendesk' 'git')
depends=('go-tools' 'qt5-base')
optdepends=('go: go compiler'
            'gcc-go: go compiler')
options=('!strip' '!emptydirs')
source=("$pkgname-x$pkgver::git+https://github.com/visualfc/liteide.git#tag=x$pkgver")
md5sums=('SKIP')

prepare() {
  gendesk -f -n --name LiteIDE --pkgname "$pkgname" --pkgdesc "$pkgdesc"
  chmod +x "liteide-x$pkgver/build/"*_*.sh

  # Fix for FS#4662 until fixed by upstream
  cd "liteide-x$pkgver/liteidex/os_deploy/linux/liteenv"
  sed -i 's|^GOROOT|#GOROOT|g' linux32.env
  sed -i 's|^GOROOT|#GOROOT|g' linux64.env

  # Fix the libpng warning: iCCP: known incorrect sRGB profile
  find "$srcdir" -type f -iname "*.png" -exec mogrify -strip '{}' \;
}

build() {
  cd "liteide-x$pkgver/build"

  mkdir -p go
  export GOPATH="$(pwd)/go"
  export QTDIR=/usr

  ./update_pkg.sh
  ./build_linux.sh

}

package() {
  cd "liteide-x$pkgver/build/liteide"

  msg2 'Creating directories...'
  mkdir -p \
    "$pkgdir/usr/lib/liteide" \
    "$pkgdir/usr/share/liteide" \
    "$pkgdir/usr/share/doc/$pkgname"

  msg2 'Packaging executables...'
  for binary in gomodifytags gotools gocode liteide; do # goimports
    install -Dm755 "bin/$binary" "$pkgdir/usr/bin/$binary"
  done
  ln -s /usr/bin/liteide "$pkgdir/usr/bin/golangide"

  cd "$srcdir/liteide-x$pkgver/liteidex"

  msg2 'Packaging resources...'
  cp -r deploy/* os_deploy/* "$pkgdir/usr/share/liteide"

  msg2 'Packaging libraries and plugins...'
  cp -r liteide/lib/liteide/* "$pkgdir/usr/lib/liteide"
  chmod -x "$pkgdir/usr/lib/liteide/plugins/"*

  msg2 'Packaging license and license exception...'
  install -Dm644 LICENSE.LGPL \
    "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
  install -Dm644 LGPL_EXCEPTION.TXT \
    "$pkgdir/usr/share/licenses/$pkgname/LGPL_EXCEPTION"

  cd "$srcdir"

  msg2 'Packaging desktop shortcut...'
  install -Dm644 "$pkgname.desktop" \
    "$pkgdir/usr/share/applications/$pkgname.desktop"
  install -d "$pkgdir/usr/share/pixmaps"
  ln -s /usr/share/liteide/welcome/images/liteide400.png \
    "$pkgdir/usr/share/pixmaps/$pkgname.png"

  msg2 'Cleaning up...'
  rm -rf "$pkgdir/usr/share/$pkgname/doc"

  # Fix for FS#38781
  mv "$pkgdir/usr/share/liteide/linux/liteenv" \
    "$pkgdir/usr/share/liteide/liteenv"
}

# vim: ts=2 sw=2 et:

=== liteidex/src/3rdparty/qjsonrpc/debian/control ===
Source: qjsonrpc
Section: libs
Priority: extra
Maintainer: Devon IT Developers <development@devonit.com>
Build-Depends: libqt4-dev (>= 4.8),
               cdbs (>= 0.4.41),
               debhelper (>= 5.0.37.2)
Standards-Version: 3.7.2
Homepage: http://symbiosoft.net/projects/qjsonrpc
Vcs-Git: git://gitorious.org/qjsonrpc/qjsonrpc.git
Vcs-Browser: https://gitorious.org/qjsonrpc/

Package: libqjsonrpc
Section: libs
Architecture: any
Depends: libqtcore4 (>= 4.8),
         libqt4-network (>= 4.8),
         ${shlibs:Depends},
         ${misc:Depends}
Description: The qjsonrpc library is a Qt implementation of the
 JSON-RPC ( http://jsonrpc.org/ ) protocol

Package: libqjsonrpc-dev
Section: libdevel
Architecture: any
Depends: libqjsonrpc (= ${binary:Version})
Description: Development files for the qjsonrpc library

=== liteidex/src/3rdparty/qjsonrpc/debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk

DEB_QMAKE_ARGS = "PREFIX=/usr"
